/* File:        $Id: HarvestMonitorApplication.java 1677 2010-10-22 14:02:29Z ngiraud $
 * Revision:    $Revision: 1677 $
 * Author:      $Author: ngiraud $
 * Date:        $Date: 2010-10-22 16:02:29 +0200 (Fri, 22 Oct 2010) $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2010 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package dk.netarkivet.harvester.harvesting.monitor;

import dk.netarkivet.common.utils.ApplicationUtils;

/**
 * This class is used to start the running jobs monitor server.
 *
 */
public class HarvestMonitorApplication {
   /**
    * Runs the GUI web server. Settings are read from config files.
    *
    * @param args an empty array
    */
   public static void main(String[] args) {
       ApplicationUtils.startApp(HarvestMonitorServer.class, args);
   }
}
