/* File:    $Id: TestInfo.java 1350 2010-04-09 14:58:45Z svc $
 * Version: $Revision: 1350 $
 * Date:    $Date: 2010-04-09 16:58:45 +0200 (Fri, 09 Apr 2010) $
 * Author:  $Author: svc $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2010 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package dk.netarkivet.archive.checksum;

import java.io.File;

public class TestInfo {

    static final File DATA_DIR = new File("tests/dk/netarkivet/archive/checksum/data");
    static final File WORKING_DIR = new File(DATA_DIR, "working"); 
    static final File TMP_DIR = new File(DATA_DIR, "tmp");
    static final File ORIGINAL_DIR = new File(DATA_DIR, "original");
    
    static final File UPLOAD_FILE_1 = new File(WORKING_DIR, "settings.xml");
    static final File UPLOAD_FILE_2 = new File(WORKING_DIR, "NetarchiveSuite-upload1.arc");

    static final File CHECKSUM_DIR = new File(WORKING_DIR, "cs");
    
    static final String TEST1_CHECKSUM = "8a25cd763176ff41cd042b1d2c2e7061";
    static final String TEST2_CHECKSUM = "d87cc8068fa49f3a4926ce4d1cdf14e1"; 

}
